Bug 503025 - qpid rhm i386 --data-dir parameter parsing bug
qpid rhm i386 --data-dir parameter parsing bug
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
i386 Linux
urgent Severity urgent
: 1.1.2
: ---
Assigned To: messaging-bugs
Jan Sarenik
:
Depends On:
Blocks: 498221
  Show dependency treegraph
 
Reported: 2009-05-28 07:19 EDT by Jan Sarenik
Modified: 2009-06-15 08:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 08:16:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Sarenik 2009-05-28 07:19:53 EDT
Only applicable on i386 architecture and following versions (from mrg-devel):
  qpidd-0.5.752581-8.el5
  rhm-0.5.3206-1.el5

When I run "qpidd -t" from command line, I get this
(the last two lines are important):
--------------------
2009-may-28 13:17:01 info Loaded Module: /usr/lib/qpid/daemon/replicating_listener.so
2009-may-28 13:17:01 info Loaded Module: /usr/lib/qpid/daemon/replication_exchange.so
2009-may-28 13:17:01 info Loaded Module: /usr/lib/qpid/daemon/msgstore.so
2009-may-28 13:17:01 info Management enabled
2009-may-28 13:17:01 debug ManagementBroker restored broker ID: 96696db3-81ed-4464-a80b-fbca34acc49e
2009-may-28 13:17:01 debug ManagementBroker boot sequence: 5
2009-may-28 13:17:01 debug ManagementBroker added package org.apache.qpid.broker
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:system
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:broker
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:agent
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:vhost
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:queue
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:exchange
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:binding
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:connection
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:link
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:bridge
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:session
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:clientConnect
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:clientConnectFail
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:clientDisconnect
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:brokerLinkUp
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:brokerLinkDown
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:queueDeclare
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:queueDelete
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:exchangeDeclare
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:exchangeDelete
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:bind
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:unbind
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:subscribe
2009-may-28 13:17:01 debug ManagementBroker added class org.apache.qpid.broker:unsubscribe
2009-may-28 13:17:01 debug Exception constructed: If --data-dir is blank or --no-data-dir is specified, --store-dir must be present.
2009-may-28 13:17:01 critical Broker start-up failed: If --data-dir is blank or --no-data-dir is specified, --store-dir must be present.
--------------------

Mentioning "--data-dir" on commandline does not help (error message
is the same).
Comment 1 Frantisek Reznicek 2009-05-29 07:50:40 EDT
The issue has been fixed on qpidd-0.5.752581-9.el5, validated on RHEL 5.3 i386/x86_64. (Issue introduced in qpidd-0.5.752581-8.el5)

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.